%define name    gnomeboyadvance
%define version 0.4
%define release %mkrel 5
%define distsuffix plf

%define section More Applications/Emulators
%define title   GnomeBoyAdvance

%define summary Graphical frontend for the VisualBoyAdvance emulator

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Emulators
URL:            http://developer.berlios.de/projects/gnomeboyadvance/
Source0:        http://download.berlios.de/gnomeboyadvance/%name-%version.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot
BuildArch:	     noarch	
BuildRequires: python-devel
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires:            VisualBoyAdvance
Requires:	     gnome-python >= 1.99.15
Requires:	     pygtk2.0-libglade 	
Requires:	     pygame

%description
Gnomeboyadvance is a frontend for the visual boy advance emulator,
written in Python using the gnome tool kit.

This is in PLF, as it requires VisualBoyAdvance, which cannot be
included in Mandriva Linux as emulators are against Mandriva's policy.

%prep
%setup -q -n %name

%build

%install
rm -rf %buildroot
#install -d %buildroot{%_datadir/{%name,pixmaps,applications},%_prefix/lib}
python setup.py install --root=$RPM_BUILD_ROOT
install -d %buildroot%_sysconfdir/gconf/schemas
mv %buildroot/%_datadir/gconf/schemas/%name.schemas %buildroot%_sysconfdir/gconf/schemas

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%summary" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/gba48.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 data/gba48.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 data/gba48.png %buildroot%_miconsdir/%name.png

%post
%update_menus
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc NEWS README TODO
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_datadir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/gba48.png
%py_puresitedir/%name/
%_menudir/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Aug 01 2006 Götz Waschk <goetz@zarb.org> 0.4-5plf
- Rebuild

* Sun Apr 23 2006 Gtz Waschk <goetz@zarb.org> 0.4-4plf
- spec fixes

* Sun Apr 23 2006 Götz Waschk <goetz@zarb.org> 0.4-4plf
- Rebuild

* Mon Dec  6 2004 Gtz Waschk <goetz@zarb.org> 0.4-3plf
- rebuild for new python

* Tue Aug 31 2004 Gtz Waschk <goetz@zarb.org> 0.4-2plf
- depend on pygame

* Sun Aug 29 2004 Gtz Waschk <goetz@zarb.org> 0.4-1plf
- fix installation
- New release 0.4

* Thu Aug 19 2004 Gtz Waschk <goetz@zarb.org> 0.3-2plf
- rebuild for new menu

* Wed Jun 30 2004 Gtz Waschk <goetz@plf.zarb.org> 0.3-1plf
- install gconf stuff by hand
- add new files
- New release 0.3

* Thu May  6 2004 Gtz Waschk <goetz@plf.zarb.org> 0.2-1plf
- add missing files
- fix build
- fix URL
- new version

* Fri Feb 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.1-1plf
- initial package
